API

REST-API für Monitore, Heartbeats, Statistiken, Kanäle und Statusseiten. Authentifizierung mit API-Schlüsseln.

Authentifizierung

Erstellen Sie einen Schlüssel unter „API-Schlüssel“ (Pro). Senden Sie ihn als Bearer-Token.

curl https://app.uptimepush.com/api/v1/monitors -H "Authorization: Bearer up_live_..."

Monitore

  • GET /api/v1/monitors – Liste
  • POST /api/v1/monitors – erstellen (name, type, url, interval_sec, ...)
  • GET /api/v1/monitors/:id – Details
  • PATCH /api/v1/monitors/:id – aktualisieren
  • DELETE /api/v1/monitors/:id
  • POST /api/v1/monitors/:id/pause und /resume
  • GET /api/v1/monitors/:id/heartbeats?hours=24
  • GET /api/v1/monitors/:id/stats?days=30

Einen Monitor erstellen

curl -X POST https://app.uptimepush.com/api/v1/monitors \
  -H "Authorization: Bearer up_live_..." -H "Content-Type: application/json" \
  -d '{"name":"API","type":"http","url":"https://api.example.com/health","interval_sec":60}'

Kanäle und Statusseiten

  • GET/POST /api/v1/channels, POST /api/v1/channels/:id/test
  • GET/POST /api/v1/status-pages
  • GET /api/status/:slug.json – öffentliches Status-JSON

Antworten

Alle Antworten sind JSON mit ok: true oder ok: false sowie einem Fehlercode. Rate-Limit: 600 Anfragen pro Minute und Schlüssel.

Ihre Website schläft nie. Sie können es jetzt.

Starten Sie das Monitoring in wenigen Minuten. Die ersten 10 Monitore gehen auf uns.

Kostenlos starten – ohne Kreditkarte ↗